// creator  : weidu.exe (version 23100)
// argument : BYLANNA.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~BYLANNA~

IF ~InParty("Anomen")
!StateCheck("Anomen",STATE_SLEEPING)
Global("AnomenDecide","GLOBAL",4)
Global("Anomen","LOCALS",0)
~ THEN BEGIN 0 // from:
  SAY #25547 /* ~Good business, my friends.  Is there aught that I can help you with?~ */
  IF ~~ THEN DO ~SetGlobal("Anomen","LOCALS",1)
~ EXTERN ~ANOMENJ~ 130
END

IF ~~ THEN BEGIN 1 // from: ANOMENJ:130.0
  SAY #25549 /* ~Ah... you must be the son of Lord Cor.  Anomen, is it?  I am afraid that there is very little I can tell you regarding your sister's death.~ */
  IF ~~ THEN EXTERN ~ANOMENJ~ 131
END

IF ~~ THEN BEGIN 2 // from: ANOMENJ:131.0
  SAY #25551 /* ~There is insufficient evidence to connect Saerk Farrahd to the murder.  The only other person in your father's estate at the time was killed, as well.~ */
  IF ~~ THEN EXTERN ~ANOMENJ~ 132
END

IF ~~ THEN BEGIN 3 // from: ANOMENJ:132.0
  SAY #25553 /* ~I know of your family's feud with the merchant, but a motive is not enough without witnesses or evidence.  The rule of law must prevail... surely you understand.~ */
  IF ~~ THEN EXTERN ~ANOMENJ~ 133
END

IF ~~ THEN BEGIN 4 // from: ANOMENJ:133.0
  SAY #25555 /* ~Answered?  Take vengeance on the merchant and he replies in kind, and the feud continues unabated.  Is it not time for this hatred to be put to rest?~ */
  IF ~~ THEN EXTERN ~ANOMENJ~ 134
END

IF ~True()
~ THEN BEGIN 5 // from:
  SAY #25562 /* ~Good business to you.  Is there aught that I can help you with?~ */
  IF ~~ THEN REPLY #25563 /* ~Who are you?~ */ GOTO 6
  IF ~Global("KnowsMurders","GLOBAL",1)
Global("MurdersSolved","GLOBAL",0)
ReactionGT(LastTalkedToBy,15)
~ THEN REPLY #25564 /* ~What can you tell us about the murders in the Bridge District?~ */ GOTO 7
  IF ~Global("KnowsMurders","GLOBAL",1)
Global("MurdersSolved","GLOBAL",0)
ReactionLT(LastTalkedToBy,16)
~ THEN REPLY #25565 /* ~What can you tell us about the murders in the Bridge District?~ */ GOTO 9
  IF ~PartyHasItem("misc5m")
Global("ToldInspector","GLOBAL",1)
!Global("MurdersSolved","GLOBAL",1)~ THEN REPLY #37783 /* ~I have solved the murders that were occurring in the bridge district... but the murderer killed Inspector Aegisfield.  I have his body with me, here.~ */ GOTO 11
  IF ~!PartyHasItem("misc5m")
Global("ToldInspector","GLOBAL",1)
!Global("MurdersSolved","GLOBAL",1)~ THEN REPLY #37784 /* ~I have solved the murders that were occurring in the Bridge District... but the murderer killed Inspector Aegisfield.~ */ GOTO 12
  IF ~InPartySlot(LastTalkedToBy,0)
GlobalLT("chapter","GLOBAL",4)~ THEN REPLY #45963 /* ~A friend of mine, Imoen, was taken captive by the Cowled Wizards for using magic in the city.  Is there anything I can do to free her?~ */ GOTO 13
  IF ~GlobalLT("chapter","GLOBAL",4)~ THEN REPLY #45964 /* ~What can you tell me about the war between the thieves' guilds that I've been hearing about?~ */ GOTO 32
  IF ~PartyHasItem("misc9h")~ THEN REPLY #49948 /* ~I have the head of a criminal here, a dwarf by the name of Neb.  Is it you that I should be talking to?~ */ GOTO 34
  IF ~~ THEN REPLY #25566 /* ~No, nothing.  I'll be on my way.~ */ GOTO 10
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #25567 /* ~I am the Magistrate of Athkatla, Bylanna Lanulin.  Why, is that of interest to you?~ */
  IF ~Global("KnowsMurders","GLOBAL",1)
Global("MurdersSolved","GLOBAL",0)
ReactionGT(LastTalkedToBy,15)
~ THEN REPLY #25568 /* ~What can you tell me of the murders in the Bridge District?~ */ GOTO 7
  IF ~Global("KnowsMurders","GLOBAL",1)
Global("MurdersSolved","GLOBAL",0)
ReactionLT(LastTalkedToBy,16)
~ THEN REPLY #25569 /* ~What can you tell me of the murders in the Bridge District?~ */ GOTO 9
  IF ~PartyHasItem("misc5m")
Global("ToldInspector","GLOBAL",1)
!Global("MurdersSolved","GLOBAL",1)~ THEN REPLY #37787 /* ~I have solved the murders that were occurring in the bridge district... but the murderer killed Inspector Aegisfield.  I have his body with me, here.~ */ GOTO 11
  IF ~!PartyHasItem("misc5m")
Global("ToldInspector","GLOBAL",1)
!Global("MurdersSolved","GLOBAL",1)~ THEN REPLY #37788 /* ~I have solved the murders that were occurring in the Bridge District... but the murderer killed Inspector Aegisfield.~ */ GOTO 12
  IF ~InPartySlot(LastTalkedToBy,0)
GlobalLT("chapter","GLOBAL",4)~ THEN REPLY #46014 /* ~A friend of mine, Imoen, was taken captive by the Cowled Wizards for using magic in the city.  Is there anything I can do to free her?~ */ GOTO 13
  IF ~GlobalLT("chapter","GLOBAL",4)~ THEN REPLY #46015 /* ~What can you tell me about the war between the thieves' guilds that I've been hearing about?~ */ GOTO 32
  IF ~PartyHasItem("misc9h")~ THEN REPLY #49950 /* ~I have the head of a criminal here, a dwarf by the name of Neb.  Is it you that I should be talking to?~ */ GOTO 34
  IF ~~ THEN REPLY #25570 /* ~Not really.~ */ GOTO 10
END

IF ~~ THEN BEGIN 7 // from: 6.0 5.1
  SAY #25571 /* ~There have been several strange slayings recently... the victims had their skin flayed from their bodies.  Perhaps a creature of some kind is responsible...~ */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #25572 /* ~But I warn you to stay off the streets at night in that District until this is solved.  Now... if you will excuse me, I have other things to attend to.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 9 // from: 6.1 5.2
  SAY #25573 /* ~We are still investigating the matter... there is nothing else I can say.  Excuse me... I have other things I must attend to.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 10 // from: 6.7 5.8
  SAY #25574 /* ~Please excuse me, then... I must attend to other matters.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 11 // from: 6.2 5.3
  SAY #37785 /* ~Oh... by the gods, that IS the Inspector!  Quickly, my good <LADYLORD>, bring the body to Chief Inspector Brega immediately!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 12 // from: 6.3 5.4
  SAY #37786 /* ~Oh... oh, my.  I think you should speak to Chief Inspector Brega, however... he is here in this building, and I think he should know of this immediately!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 13 // from: 6.4 5.5
  SAY #45965 /* ~I see.  But your friend used magic within the city limits.  You are aware that this is a violation of Amnish law?  We do not allow magic-users to go unchecked.~ */
  IF ~~ THEN REPLY #45966 /* ~But how long is she to be imprisoned?  Imoen is no evil sorceress!~ */ GOTO 14
  IF ~~ THEN REPLY #45967 /* ~The Cowled Wizards go unchecked, don't they?~ */ GOTO 16
  IF ~~ THEN REPLY #45968 /* ~I demand that she be released!  We were attacked and kidnapped by a wizard and Imoen did not even know that she was in Amn!~ */ GOTO 17
  IF ~~ THEN REPLY #45969 /* ~Is there nothing that can be done?  Is there no way I can speak directly to the Cowled Wizards?~ */ GOTO 19
END

IF ~~ THEN BEGIN 14 // from: 18.1 16.1 13.0
  SAY #45970 /* ~It has been our experience that magic corrupts.    Did you see the result of your friend's battle in the Promenade?  An entire section collapsed!~ */
  IF ~~ THEN GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.0
  SAY #45971 /* ~The Cowled Wizards will have taken your friend for... rehabilitation.  And she will not be released until that process is completed.~ */
  IF ~~ THEN REPLY #45972 /* ~But Imoen wasn't responsible for what happened in the Promenade.  That was another wizard, we got there at the end of the battle.~ */ GOTO 21
  IF ~~ THEN REPLY #45973 /* ~What kind of rehabilitation are you talking about?  How long does that take?~ */ GOTO 23
  IF ~~ THEN REPLY #45974 /* ~But the Cowled Wizards are allowed to use their magic, aren't they?  Aren't they corrupt, in your estimation?~ */ GOTO 16
  IF ~~ THEN REPLY #45975 /* ~I demand that she be released!  We were attacked and kidnapped by a wizard and Imoen did not even know that she was in Amn!~ */ GOTO 17
  IF ~~ THEN REPLY #45976 /* ~Is there nothing that can be done?  Is there no way I can speak directly to the Cowled Wizards?~ */ GOTO 19
END

IF ~~ THEN BEGIN 16 // from: 18.2 15.2 13.1
  SAY #45977 /* ~We allow the Cowled Wizards to practice their magic so long as they put down the illegal use of magic around the city.  And they do a fine job.~ */
  IF ~~ THEN REPLY #45981 /* ~You must be joking!  The Cowled Wizards run the show and you can't even admit it!~ */ GOTO 28
  IF ~~ THEN REPLY #45978 /* ~How long is Imoen supposed to be imprisoned, then?  She's no evil sorceress!~ */ GOTO 14
  IF ~~ THEN REPLY #45979 /* ~I demand that she be released!  We were attacked and kidnapped by a wizard and Imoen did not even know that she was in Amn!~ */ GOTO 17
  IF ~~ THEN REPLY #45980 /* ~Is there nothing that can be done?  Is there no way I can speak directly to the Cowled Wizards?~ */ GOTO 19
END

IF ~~ THEN BEGIN 17 // from: 16.2 15.3 13.2
  SAY #45982 /* ~Ignorance of the law is no excuse, dear <PRO_MANWOMAN>.  And if you were kidnapped by a wizard, that just shows how dangerous such powerful magic can be, correct?~ */
  IF ~~ THEN GOTO 18
END

IF ~~ THEN BEGIN 18 // from: 17.0
  SAY #45983 /* ~If the Cowled Wizards arrested your friend, they did so with justification.  She has been imprisoned legally and angry demands will not change that.~ */
  IF ~~ THEN REPLY #45987 /* ~Tell me where she has been imprisoned, at least.  I would like to see her.~ */ GOTO 29
  IF ~~ THEN REPLY #45984 /* ~But how long is she to be imprisoned?  Imoen is no evil sorceress!~ */ GOTO 14
  IF ~~ THEN REPLY #45985 /* ~But the Cowled Wizards are just as dangerous, then!  How can you justify allowing them to use magic and no one else?~ */ GOTO 16
  IF ~~ THEN REPLY #45986 /* ~Is there nothing that can be done?  Is there no way I can speak directly to the Cowled Wizards?~ */ GOTO 19
END

IF ~~ THEN BEGIN 19 // from: 18.3 16.3 15.4 13.3
  SAY #45988 /* ~You wish to speak to the Cowled Wizards?  Well... you can't.  They're not an official arm of our government and not... subject to normal legal procedure.~ */
  IF ~~ THEN GOTO 20
END

IF ~~ THEN BEGIN 20 // from: 19.0
  SAY #45989 /* ~Er... if you are asking what legal recourse you have, there is little anyone can do.  Your friend will be imprisoned until her... rehabilitation is complete.~ */
  IF ~~ THEN REPLY #45990 /* ~What kind of rehabilitation are you talking about?  How long does that take?~ */ GOTO 23
  IF ~~ THEN REPLY #45991 /* ~This is outrageous!  Are you saying that you allow the Cowled Wizards to kidnap people and there is nothing you can do about it?~ */ GOTO 28
  IF ~~ THEN REPLY #45992 /* ~I see.  I will find my own way to free her, then.~ */ GOTO 30
END

IF ~~ THEN BEGIN 21 // from: 15.0
  SAY #45993 /* ~Another wizard or your Imoen, it matters not. She used magic... the Cowled Wizards cannot stop to sort out who was directly responsible for the damage.~ */
  IF ~~ THEN GOTO 22
END

IF ~~ THEN BEGIN 22 // from: 21.0
  SAY #45994 /* ~But if this Imoen you speak of is a good and responsible user of her abilities, then... then I imagine that her rehabilitation would... not take long.~ */
  IF ~~ THEN REPLY #45995 /* ~What is this rehabilitation you're talking about?  How long does it normally take?~ */ GOTO 23
  IF ~~ THEN REPLY #45996 /* ~So Imoen doesn't even get a trial?  Are you saying the Cowled Wizards can simply take her and do as they please?  This is outrageous!~ */ GOTO 28
  IF ~~ THEN REPLY #45997 /* ~I see.  I'll find my own way to release her, then.~ */ GOTO 30
END

IF ~~ THEN BEGIN 23 // from: 22.0 20.0 15.1
  SAY #45998 /* ~It would... well... (sigh)  I will not lie to you, <PRO_SIRMAAM>.  We do not normally concern ourselves overmuch with the prisoners that the Cowled Wizards take.~ */
  IF ~~ THEN GOTO 24
END

IF ~~ THEN BEGIN 24 // from: 29.0 28.0 23.0
  SAY #45999 /* ~For the most part, these magic-users they capture are dangerous or psychotic... protecting us from these people is a valuable service.~ */
  IF ~~ THEN GOTO 25
END

IF ~~ THEN BEGIN 25 // from: 24.0
  SAY #46000 /* ~If... if they have taken someone out of zealousness, because she was a mage present at a major magical disturbance... well, I can do nothing.~ */
  IF ~~ THEN GOTO 26
END

IF ~~ THEN BEGIN 26 // from: 25.0
  SAY #46001 /* ~The Cowled Wizards are not under our command.  They do us a service, but they do as they wish.  Their prison is a secret, even to us, as are their methods.~ */
  IF ~~ THEN GOTO 27
END

IF ~~ THEN BEGIN 27 // from: 26.0
  SAY #46006 /* ~I am sorry, my good <PRO_MANWOMAN>, but there is truly nothing that we can do for you.  Hopefully, the Cowled Wizards will see their error and release your friend.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 28 // from: 22.1 20.1 16.0
  SAY #46007 /* ~That is not... not quite correct, dear <PRO_MANWOMAN>.  But I will not lie to you.  We normally do not concern ourselves overmuch with the prisoners the wizards take.~ */
  IF ~~ THEN GOTO 24
END

IF ~~ THEN BEGIN 29 // from: 18.0
  SAY #46009 /* ~I cannot tell you where the prison is, for I do not know.  Normally, dear <PRO_MANWOMAN>, we do not concern ourselves overmuch with those the Cowled Wizards take...~ */
  IF ~~ THEN GOTO 24
END

IF ~~ THEN BEGIN 30 // from: 22.2 20.2
  SAY #46010 /* ~I would suggest that you wait, if you can.  The Cowled Wizards may realize their mistake, perhaps, and release your friend.~ */
  IF ~~ THEN GOTO 31
END

IF ~~ THEN BEGIN 31 // from: 30.0
  SAY #46011 /* ~But I cannot otherwise offer you help.  I am sorry... I wish it were otherwise.  Good luck in finding her.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 32 // from: 6.5 5.6
  SAY #46012 /* ~Hmm, I am aware that another guild of thieves has supposedly arisen to challenge the Shadow Thieves, but my only concern is the safety of the city.~ */
  IF ~~ THEN GOTO 33
END

IF ~~ THEN BEGIN 33 // from: 32.0
  SAY #46013 /* ~Thievery must not run rampant, and I do not wish for innocents to be hurt by their war.  Beyond that, I don't see how this is your concern, dear <MANWOMAN>.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 34 // from: 6.6 5.7
  SAY #49949 /* ~What?  You have... AH!  Oh... that IS an actual head,  isn't it?  Er... I suggest you bring it to Inspector Brega.  He... can deal with it, I'm sure.  (shudder)~ */
  IF ~~ THEN DO ~RunAwayFrom(LastTalkedToBy,15)~ EXIT
END
